Intermittent mochitest-browser-chrome leak of lots of things including a few dozen DOMWINDOWs including 2 from browser_bug477014.js

RESOLVED FIXED

Status

()

RESOLVED FIXED
8 years ago
6 years ago

People

(Reporter: philor, Unassigned)

Tracking

({intermittent-failure})

Trunk
intermittent-failure
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment)

(Reporter)

Description

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1292478708.1292482032.14669.gz&fulltext=1
Rev3 WINNT 6.1 mozilla-central debug test mochitest-other on 2010/12/15 21:51:48
s: talos-r3-w7-048

Never sure what to believe, or what to pick as a distinguishing feature.

Once you ignore the lie about test_process_error.xul (an expected mochitest-chrome IPC thing), and the undistinguished fact that it leaked 4 domwindows opened during startup, http://tbpl.mozilla.org/leak-analysis/?id=1292478708.1292482032.14669.gz&tree=Firefox says the world-leaking started with "chrome://mochitests/content/browser/browser/base/content/test/browser_bug477014.js leaked 2 DOMWINDOW(s)"

The list of leaked URLs isn't helpful, running from file:///c:/talos-slave/test/build/firefox/omni.jar to chrome://mozapps/content/plugins/pluginInstallerWizard.xul and including pretty much everything in between.

It could be meaningful that the list of leaked objects includes things like "1 instance of CalculateFrecencyFunction" and "1 instance of GenerateGUIDFunction", or maybe not.
(Reporter)

Comment 1

8 years ago
And at some point, I might want to remember that that first time was on http://hg.mozilla.org/mozilla-central/rev/cd62a8afc52e, the merge of the Places branch.
the functions leaks just tell that history service leaked the connection, and that something leaked history. hard to tell though.
From the first URL in comment 0 I see:
http://tbpl.mozilla.org/leak-analysis/?id=1292478708.1292482032.14669.gz&tree=Firefox
says:
chrome://mochitests/content/chrome/dom/ipc/tests/test_process_error.xul leaked 1 DOMWINDOW(s)
(unknown) leaked 4 DOMWINDOW(s)
chrome://mochitests/content/browser/browser/base/content/test/browser_bug477014.js leaked 2 DOMWINDOW(s)
chrome://mochitests/content/browser/browser/base/content/test/browser_bug597218.js leaked 2 DOMWINDOW(s)
chrome://mochitests/content/browser/browser/base/content/test/browser_inspector_iframeTest.js leaked 6 DOMWINDOW(s)
chrome://mochitests/content/browser/browser/base/content/test/browser_inspector_scrolling.js leaked 4 DOMWINDOW(s)
chrome://mochitests/content/browser/browser/base/content/test/browser_inspector_treePanel_output.js leaked 2 DOMWINDOW(s)
chrome://mochitests/content/browser/browser/base/content/test/browser_inspector_treeSelection.js leaked 2 DOMWINDOW(s)
chrome://mochitests/content/browser/toolkit/content/tests/browser/browser_bug295977_autoscroll_overflow.js leaked 1 DOMWINDOW(s)
chrome://mochitests/content/browser/toolkit/content/tests/browser/browser_save_resend_postdata.js leaked 4 DOMWINDOW(s)
chrome://mochitests/content/browser/toolkit/mozapps/plugins/tests/browser_bug435788.js leaked 2 DOMWINDOW(s)


We now just saw:
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1292513957.1292516704.16121.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other
http://tbpl.mozilla.org/leak-analysis/?id=1292513957.1292516704.16121.gz&tree=Firefox
(unknown) leaked 4 DOMWINDOW(s)
chrome://mochitests/content/browser/browser/base/content/test/browser_bug477014.js leaked 2 DOMWINDOW(s)
chrome://mochitests/content/browser/browser/base/content/test/browser_bug597218.js leaked 2 DOMWINDOW(s)
chrome://mochitests/content/browser/browser/base/content/test/browser_inspector_iframeTest.js leaked 6 DOMWINDOW(s)
chrome://mochitests/content/browser/browser/base/content/test/browser_inspector_scrolling.js leaked 4 DOMWINDOW(s)
chrome://mochitests/content/browser/browser/base/content/test/browser_inspector_treePanel_output.js leaked 2 DOMWINDOW(s)
chrome://mochitests/content/browser/browser/base/content/test/browser_inspector_treeSelection.js leaked 2 DOMWINDOW(s)
chrome://mochitests/content/browser/toolkit/content/tests/browser/browser_bug295977_autoscroll_overflow.js leaked 1 DOMWINDOW(s)
chrome://mochitests/content/browser/toolkit/content/tests/browser/browser_save_resend_postdata.js leaked 4 DOMWINDOW(s)
chrome://mochitests/content/browser/toolkit/mozapps/plugins/tests/browser_bug435788.js leaked 2 DOMWINDOW(s)
Summary: Intermittent mochitest-browser-chrome leak of 1 instance of AsyncStatementParams, 1682 instances of AtomImpl, and pretty much the entire world, starting from browser_bug477014.js → Intermittent mochitest-browser-chrome leak of lots of things including a few dozen DOMWINDOWs including 2 from browser_bug477014.js
(Reporter)

Comment 4

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1292523467.1292526191.23813.gzRev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/12/16 10:17:47
s: talos-r3-snow-021
(Reporter)

Comment 5

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1292545107.1292547953.2732.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/12/16 16:18:27
s: talos-r3-snow-030
(Reporter)

Comment 6

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1292556044.1292559336.21556.gz
WINNT 5.2 mozilla-central debug test mochitest-other on 2010/12/16 19:20:44
s: w32-ix-slave28
(Reporter)

Comment 7

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1292596406.1292599099.29707.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/12/17 06:33:26
s: talos-r3-snow-036
(Reporter)

Comment 8

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1292809897.1292812467.5282.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/12/19 17:51:37
s: talos-r3-leopard-014
(Reporter)

Comment 9

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1292861972.1292864549.24655.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/12/20 08:19:32
s: talos-r3-snow-045
(Reporter)

Comment 10

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1292876325.1292878957.22749.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/12/20 12:18:45
s: talos-r3-snow-043
(Reporter)

Comment 11

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1292883549.1292886269.22219.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/12/20 14:19:09
s: talos-r3-leopard-027
(Reporter)

Comment 12

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1292889514.1292892151.16896.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/12/20 15:58:34
s: talos-r3-snow-052
(Reporter)

Comment 13

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1292900189.1292902827.31012.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/12/20 18:56:29
s: talos-r3-snow-003
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1292926059.1292928701.8733.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/12/21 02:07:39 
s: talos-r3-leopard-028
(Reporter)

Comment 15

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1292958787.1292961413.1096.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/12/21 11:13:07
s: talos-r3-leopard-027
(Reporter)

Comment 16

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1292969507.1292972338.19943.gz
Rev3 Fedora 12 mozilla-central debug test mochitest-other on 2010/12/21 14:11:47
s: talos-r3-fed-028
(Reporter)

Comment 17

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1292997926.1293000635.17062.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/12/21 22:05:26
s: talos-r3-snow-016
OS: Windows 7 → All
Hardware: x86 → All
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1292997822.1293000387.16146.gz
Rev3 Fedora 12x64 mozilla-central debug test mochitest-other on 2010/12/21 22:03:42
s: talos-r3-fed64-017

chrome://mochitests/content/chrome/dom/ipc/tests/test_process_error.xul leaked 1 DOMWINDOW(s)
(unknown) leaked 4 DOMWINDOW(s)
chrome://mochitests/content/browser/browser/base/content/test/browser_bug477014.js leaked 2 DOMWINDOW(s)
chrome://mochitests/content/browser/browser/base/content/test/browser_bug597218.js leaked 2 DOMWINDOW(s)
chrome://mochitests/content/browser/browser/base/content/test/browser_inspector_iframeTest.js leaked 6 DOMWINDOW(s)
chrome://mochitests/content/browser/browser/base/content/test/browser_inspector_scrolling.js leaked 4 DOMWINDOW(s)
chrome://mochitests/content/browser/browser/base/content/test/browser_inspector_treePanel_output.js leaked 2 DOMWINDOW(s)
chrome://mochitests/content/browser/browser/base/content/test/browser_inspector_treeSelection.js leaked 2 DOMWINDOW(s)
chrome://mochitests/content/browser/browser/base/content/test/tabview/browser_tabview_snapping.js leaked 4 DOMWINDOW(s)
chrome://mochitests/content/browser/toolkit/components/console/hudservice/tests/browser/browser_webconsole_bug_598357_jsterm_output.js leaked 2 DOMWINDOW(s)
chrome://mochitests/content/browser/toolkit/content/tests/browser/browser_bug295977_autoscroll_overflow.js leaked 1 DOMWINDOW(s)
chrome://mochitests/content/browser/toolkit/content/tests/browser/browser_save_resend_postdata.js leaked 4 DOMWINDOW(s)
chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_whitelist5.js leaked 2 DOMWINDOW(s)
chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_whitelist6.js leaked 2 DOMWINDOW(s)
chrome://mochitests/content/browser/toolkit/mozapps/plugins/tests/browser_bug435788.js leaked 2 DOMWINDOW(s)

For
(Reporter)

Comment 20

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1293042205.1293044998.20383.gz
Rev3 Fedora 12 mozilla-central debug test mochitest-other on 2010/12/22 10:23:25
s: talos-r3-fed-053
(Reporter)

Comment 21

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1293043827.1293046496.27138.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/12/22 10:50:27
s: talos-r3-snow-027
(Reporter)

Comment 22

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1293056235.1293058897.13806.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/12/22 14:17:15
s: talos-r3-snow-047
(Reporter)

Comment 23

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Places/1292942850.1292945425.29599.gz
Rev3 MacOSX Snow Leopard 10.6.2 places debug test mochitest-other on 2010/12/21 06:47:30
s: talos-r3-snow-054
(Reporter)

Comment 24

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Places/1292865661.1292868234.7186.gz
Rev3 MacOSX Snow Leopard 10.6.2 places debug test mochitest-other on 2010/12/20 09:21:01
s: talos-r3-snow-039
(Reporter)

Comment 25

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1293066706.1293069456.25739.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/12/22 17:11:46
s: talos-r3-leopard-047
(Reporter)

Comment 26

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1293293676.1293296311.29724.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/12/25 08:14:36
s: talos-r3-snow-005
(Reporter)

Comment 27

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1293311338.1293314079.31821.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/12/25 13:08:58
s: talos-r3-leopard-047
(Reporter)

Comment 28

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1293464504.1293467208.22909.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/12/27 07:41:44
s: talos-r3-leopard-019
(Reporter)

Comment 29

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1293446422.1293448953.2136.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/12/27 02:40:22
s: talos-r3-snow-036
(Reporter)

Comment 30

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1293494439.1293497408.12494.gz
WINNT 5.2 mozilla-central debug test mochitest-other on 2010/12/27 16:00:39
s: w32-ix-slave42
(Reporter)

Comment 31

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1293501630.1293504284.9534.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/12/27 18:00:30
s: talos-r3-snow-036
(Reporter)

Comment 32

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1293597638.1293600317.13503.gz
Rev3 Fedora 12 mozilla-central debug test mochitest-other on 2010/12/28 20:40:38
s: talos-r3-fed-018
(Reporter)

Comment 33

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1293620980.1293623985.19276.gz
WINNT 5.2 mozilla-central debug test mochitest-other on 2010/12/29 03:09:40
s: w32-ix-slave29
(Reporter)

Comment 34

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1293658168.1293660872.15021.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/12/29 13:29:28
s: talos-r3-leopard-009
(Reporter)

Comment 35

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1293681159.1293684104.8474.gz
WINNT 5.2 mozilla-central debug test mochitest-other on 2010/12/29 19:52:39
s: w32-ix-slave27
(Reporter)

Comment 36

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1293688481.1293691324.1688.gz
WINNT 5.2 tracemonkey debug test mochitest-other on 2010/12/29 21:54:41
s: w32-ix-slave31
(Reporter)

Comment 37

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1293695445.1293698191.28699.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/12/29 23:50:45
s: talos-r3-leopard-053
(Reporter)

Comment 38

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1293733573.1293736295.15696.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/12/30 10:26:13
s: talos-r3-leopard-034
(Reporter)

Comment 39

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1293800490.1293803194.24102.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/12/31 05:01:30
s: talos-r3-leopard-043
(Reporter)

Comment 40

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1293832599.1293835610.26491.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/12/31 13:56:39
s: talos-r3-leopard-028
Possibly same bug?  Possibly related?  (Even though no DOM windows leaked.)

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294072107.1294074897.32095.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2011/01/03 08:28:27
s: talos-r3-leopard-038
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1955043 bytes during test execution
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1628 instances of AtomImpl with size 20 bytes each (32560 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of BackstagePass with size 24 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of BodyRule with size 16 bytes each (96 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 8 instances of CSSImportRuleImpl with size 44 bytes each (352 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 150 instances of CSSImportantRule with size 16 bytes each (2400 bytes total)
(Reporter)

Comment 42

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1294082447.1294085114.13227.gz
Rev3 MacOSX Leopard 10.5.8 tracemonkey debug test mochitest-other on 2011/01/03 11:20:47
s: talos-r3-leopard-028
(Reporter)

Comment 43

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1294083328.1294085838.16555.gz
Rev3 Fedora 12x64 tracemonkey debug test mochitest-other on 2011/01/03 11:35:28
s: talos-r3-fed64-008
(Reporter)

Comment 44

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1294099882.1294102472.30750.gz
Rev3 MacOSX Snow Leopard 10.6.2 tracemonkey debug test mochitest-other on 2011/01/03 16:11:22
s: talos-r3-snow-039
(Reporter)

Comment 45

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1294102644.1294105088.11888.gz
Rev3 Fedora 12x64 tracemonkey debug test mochitest-other on 2011/01/03 16:57:24
s: talos-r3-fed64-032
(Reporter)

Comment 46

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294106049.1294108753.31711.gz
Rev3 Fedora 12 mozilla-central debug test mochitest-other on 2011/01/03 17:54:09
s: talos-r3-fed-050
(Reporter)

Comment 47

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294102906.1294105697.15274.gz
WINNT 5.2 mozilla-central debug test mochitest-other on 2011/01/03 17:01:46
s: w32-ix-slave25
(Reporter)

Comment 48

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1294107047.1294109762.4281.gz
Rev3 Fedora 12 tracemonkey debug test mochitest-other on 2011/01/03 18:10:47
s: talos-r3-fed-021
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294140349.1294143060.5086.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other

(unknown) leaked 4 DOMWINDOW(s)
chrome://mochitests/content/browser/browser/base/content/test/browser_bug477014.js leaked 2 DOMWINDOW(s)
chrome://mochitests/content/browser/browser/base/content/test/browser_bug597218.js leaked 2 DOMWINDOW(s)
chrome://mochitests/content/browser/browser/base/content/test/browser_inspector_iframeTest.js leaked 6 DOMWINDOW(s)
chrome://mochitests/content/browser/browser/base/content/test/browser_inspector_scrolling.js leaked 4 DOMWINDOW(s)
chrome://mochitests/content/browser/browser/base/content/test/browser_inspector_treePanel_output.js leaked 2 DOMWINDOW(s)
chrome://mochitests/content/browser/browser/base/content/test/browser_inspector_treeSelection.js leaked 2 DOMWINDOW(s)
chrome://mochitests/content/browser/toolkit/components/console/hudservice/tests/browser/browser_webconsole_bug_598357_jsterm_output.js leaked 2 DOMWINDOW(s)
chrome://mochitests/content/browser/toolkit/content/tests/browser/browser_keyevents_during_autoscrolling.js leaked 1 DOMWINDOW(s)
chrome://mochitests/content/browser/toolkit/content/tests/browser/browser_save_resend_postdata.js leaked 4 DOMWINDOW(s)
chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_unsigned_trigger_iframe.js leaked 2 DOMWINDOW(s)
chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_whitelist6.js leaked 2 DOMWINDOW(s)
chrome://mochitests/content/browser/toolkit/mozapps/plugins/tests/browser_bug435788.js leaked 2 DOMWINDOW(s)
(Reporter)

Comment 50

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294138596.1294141313.28654.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2011/01/04 02:56:36
s: talos-r3-snow-040
(Reporter)

Comment 51

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294155924.1294158569.26554.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2011/01/04 07:45:24
s: talos-r3-snow-039
(Reporter)

Comment 52

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294164930.1294167751.7921.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2011/01/04 10:15:30
s: talos-r3-leopard-031
(Reporter)

Comment 53

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294166934.1294169777.17852.gz
Rev3 Fedora 12 mozilla-central debug test mochitest-other on 2011/01/04 10:48:54
s: talos-r3-fed-050
(Reporter)

Comment 54

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294169328.1294172175.29195.gz
WINNT 5.2 mozilla-central debug test mochitest-other on 2011/01/04 11:28:48
s: w32-ix-slave24
(Reporter)

Comment 55

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294175489.1294178198.25283.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2011/01/04 13:11:29
s: talos-r3-snow-035
(Reporter)

Comment 56

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1294181842.1294192780.24045.gz
Rev3 MacOSX Snow Leopard 10.6.2 tracemonkey debug test mochitest-other on 2011/01/04 14:57:22
s: talos-r3-snow-049
(Reporter)

Comment 57

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294207909.1294212346.18200.gz
WINNT 5.2 mozilla-central debug test mochitest-other on 2011/01/04 22:11:49
s: win32-slave16
(Reporter)

Comment 58

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1294276777.1294279710.314.gz
Rev3 MacOSX Leopard 10.5.8 tracemonkey debug test mochitest-other on 2011/01/05 17:19:37
s: talos-r3-leopard-016
(Reporter)

Comment 59

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294276451.1294279201.30023.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2011/01/05 17:14:11
s: talos-r3-leopard-029
(Reporter)

Comment 60

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1294279488.1294282217.12624.gz
Rev3 MacOSX Leopard 10.5.8 tracemonkey debug test mochitest-other on 2011/01/05 18:04:48
s: talos-r3-leopard-053
(Reporter)

Comment 61

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294277174.1294279880.1362.gz
Rev3 Fedora 12 mozilla-central debug test mochitest-other on 2011/01/05 17:26:14
s: talos-r3-fed-014
(Reporter)

Comment 62

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1294285011.1294287825.6751.gz
Rev3 MacOSX Leopard 10.5.8 tracemonkey debug test mochitest-other on 2011/01/05 19:36:51
s: talos-r3-leopard-041
(Reporter)

Comment 63

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1294287073.1294289999.17005.gz
WINNT 5.2 tracemonkey debug test mochitest-other on 2011/01/05 20:11:13
s: w32-ix-slave31
(Reporter)

Comment 64

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1294289901.1294292644.30269.gz
Rev3 MacOSX Leopard 10.5.8 tracemonkey debug test mochitest-other on 2011/01/05 20:58:21
s: talos-r3-leopard-038
(Reporter)

Comment 65

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294292019.1294294763.8284.gz
Rev3 Fedora 12 mozilla-central debug test mochitest-other on 2011/01/05 21:33:39
s: talos-r3-fed-021
(Reporter)

Comment 66

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294337718.1294340536.12904.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2011/01/06 10:15:18
s: talos-r3-leopard-020
(Reporter)

Comment 67

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294350024.1294352974.32766.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2011/01/06 13:40:24
s: talos-r3-leopard-023
(Reporter)

Comment 68

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1294339949.1294342721.22684.gz
Rev3 MacOSX Leopard 10.5.8 tracemonkey debug test mochitest-other on 2011/01/06 10:52:29
s: talos-r3-leopard-044
(Reporter)

Comment 69

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294370230.1294373065.28032.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2011/01/06 19:17:10
s: talos-r3-snow-041
(Reporter)

Comment 70

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294370477.1294373242.29143.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2011/01/06 19:21:17
s: talos-r3-leopard-035
(Reporter)

Comment 71

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294382162.1294385740.18633.gz
Rev3 WINNT 6.1 mozilla-central debug test mochitest-other on 2011/01/06 22:36:02
s: talos-r3-w7-020
(Reporter)

Comment 72

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294418308.1294420979.9957.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2011/01/07 08:38:28
s: talos-r3-snow-024
(Reporter)

Comment 73

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294437959.1294440776.12819.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2011/01/07 14:05:59
s: talos-r3-leopard-028
(Reporter)

Comment 74

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1294440804.1294443718.27544.gz
Rev3 MacOSX Leopard 10.5.8 tracemonkey debug test mochitest-other on 2011/01/07 14:53:24
s: talos-r3-leopard-039
(Reporter)

Comment 75

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294442279.1294444884.709.gz
Rev3 Fedora 12x64 mozilla-central debug test mochitest-other on 2011/01/07 15:17:59
s: talos-r3-fed64-054
(Reporter)

Comment 76

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1294459220.1294462997.25735.gz
Rev3 WINNT 6.1 tracemonkey debug test mochitest-other on 2011/01/07 20:00:20
s: talos-r3-w7-025
(Reporter)

Comment 77

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1294699882.1294702683.18546.gz
Rev3 MacOSX Snow Leopard 10.6.2 tracemonkey debug test mochitest-other on 2011/01/10 14:51:22
s: talos-r3-snow-034
(Reporter)

Comment 78

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1294707493.1294710206.23176.gz
Rev3 MacOSX Snow Leopard 10.6.2 tracemonkey debug test mochitest-other on 2011/01/10 16:58:13
s: talos-r3-snow-030
(Reporter)

Comment 79

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1294709472.1294712278.784.gz
Rev3 MacOSX Leopard 10.5.8 tracemonkey debug test mochitest-other on 2011/01/10 17:31:12
s: talos-r3-leopard-013
(Reporter)

Comment 80

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294743061.1294745868.28851.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2011/01/11 02:51:01
s: talos-r3-leopard-013
(Reporter)

Comment 81

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294737327.1294740064.868.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2011/01/11 01:15:27
s: talos-r3-snow-047
(Reporter)

Comment 82

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294761975.1294764709.17440.gz
Rev3 Fedora 12 mozilla-central debug test mochitest-other on 2011/01/11 08:06:15
s: talos-r3-fed-024
(Reporter)

Comment 83

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294775394.1294778103.16671.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2011/01/11 11:49:54
s: talos-r3-snow-024
(Reporter)

Comment 84

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1294785077.1294787711.3314.gz
Rev3 Fedora 12x64 tracemonkey debug test mochitest-other on 2011/01/11 14:31:17
s: talos-r3-fed64-005
(Reporter)

Comment 85

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294804521.1294807387.8100.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2011/01/11 19:55:21
s: talos-r3-leopard-025
(Reporter)

Comment 86

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294809388.1294812165.30234.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2011/01/11 21:16:28
s: talos-r3-snow-016
Created attachment 503089 [details] [diff] [review]
Possible fix

The reason of this issue is that a new window is closed before delayedStartup finished, so that some observers which have not registered are removed in BrowserShutdown() then an exception occurs and leaks many objects.

This fix waits for delayedStartup() and then check attributes and close the new window.

I am not sure that the codes in BrowserShutdown() should be also fixed.
Attachment #503089 - Flags: review?
(Reporter)

Updated

8 years ago
Attachment #503089 - Flags: review? → review?(sdwilsh)
Isn't browser-delayed-startup-finished 10 seconds after the window opens?  Also, do we really do important window opening work then?
(Reporter)

Comment 89

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1294853602.1294856557.28367.gz
Rev3 MacOSX Snow Leopard 10.6.2 tracemonkey debug test mochitest-other on 2011/01/12 09:33:22
s: talos-r3-snow-054
(Reporter)

Comment 90

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294859595.1294862438.26722.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2011/01/12 11:13:15
s: talos-r3-snow-009
(Reporter)

Comment 91

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294871022.1294873929.19990.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2011/01/12 14:23:42
s: talos-r3-leopard-038
(Reporter)

Comment 92

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294873229.1294876109.30804.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2011/01/12 15:00:29
s: talos-r3-leopard-046
(Reporter)

Comment 93

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294883626.1294886633.17644.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2011/01/12 17:53:46
s: talos-r3-leopard-045
(Reporter)

Comment 94

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294881718.1294884556.7654.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2011/01/12 17:21:58
s: talos-r3-snow-045
(Reporter)

Comment 95

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294927826.1294930608.15919.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2011/01/13 06:10:26
s: talos-r3-snow-051
(Reporter)

Comment 96

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294965231.1294968208.3430.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2011/01/13 16:33:51
s: talos-r3-leopard-026
(Reporter)

Comment 97

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1294966943.1294969776.11402.gzRev3 MacOSX Snow Leopard 10.6.2 tracemonkey debug test mochitest-other on 2011/01/13 17:02:23
s: talos-r3-snow-023
(Reporter)

Comment 98

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1294975502.1294978454.22815.gz
Rev3 MacOSX Leopard 10.5.8 tracemonkey debug test mochitest-other on 2011/01/13 19:25:02
s: talos-r3-leopard-048
(Reporter)

Comment 99

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Places/1295036551.1295039466.15294.gz
Rev3 MacOSX Snow Leopard 10.6.2 places debug test mochitest-other on 2011/01/14 12:22:31
s: talos-r3-snow-027
(Reporter)

Comment 100

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1295050528.1295053631.24810.gz
Rev3 MacOSX Leopard 10.5.8 tracemonkey debug test mochitest-other on 2011/01/14 16:15:28
s: talos-r3-leopard-004
(Reporter)

Comment 101

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1295104383.1295107306.15239.gz
Rev3 Fedora 12 mozilla-central debug test mochitest-other on 2011/01/15 07:13:03
s: talos-r3-fed-038
(Reporter)

Comment 102

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1295111819.1295114736.12723.gz
Rev3 Fedora 12 tracemonkey debug test mochitest-other on 2011/01/15 09:16:59
s: talos-r3-fed-020
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1295146135.1295149063.17435.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other

http://tbpl.mozilla.org/leak-analysis/?id=1295146135.1295149063.17435.gz&tree=Firefox

(unknown) leaked 4 DOMWINDOW(s)
chrome://mochitests/content/browser/browser/base/content/test/browser_bug477014.js leaked 2 DOMWINDOW(s)
chrome://mochitests/content/browser/browser/base/content/test/browser_bug597218.js leaked 2 DOMWINDOW(s)
chrome://mochitests/content/browser/browser/base/content/test/browser_inspector_iframeTest.js leaked 6 DOMWINDOW(s)
chrome://mochitests/content/browser/browser/base/content/test/browser_inspector_scrolling.js leaked 4 DOMWINDOW(s)
chrome://mochitests/content/browser/browser/base/content/test/browser_inspector_treePanel_output.js leaked 2 DOMWINDOW(s)
chrome://mochitests/content/browser/browser/base/content/test/browser_inspector_treeSelection.js leaked 2 DOMWINDOW(s)
chrome://mochitests/content/browser/toolkit/components/console/hudservice/tests/browser/browser_webconsole_bug_598357_jsterm_output.js leaked 2 DOMWINDOW(s)
chrome://mochitests/content/browser/toolkit/content/tests/browser/browser_keyevents_during_autoscrolling.js leaked 1 DOMWINDOW(s)
chrome://mochitests/content/browser/toolkit/content/tests/browser/browser_save_resend_postdata.js leaked 4 DOMWINDOW(s)
chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_whitelist2.js leaked 2 DOMWINDOW(s)
chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_whitelist6.js leaked 2 DOMWINDOW(s)
chrome://mochitests/content/browser/toolkit/mozapps/plugins/tests/browser_bug435788.js leaked 2 DOMWINDOW(s)
(Reporter)

Comment 104

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1295235566.1295238596.28423.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2011/01/16 19:39:26
s: talos-r3-leopard-032
(Reporter)

Comment 105

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1295252704.1295255556.6187.gz
Rev3 Fedora 12 tracemonkey debug test mochitest-other on 2011/01/17 00:25:04
s: talos-r3-fed-047
(Reporter)

Comment 106

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1295292345.1295295450.6314.gz
Rev3 MacOSX Leopard 10.5.8 tracemonkey debug test mochitest-other on 2011/01/17 11:25:45
s: talos-r3-leopard-040
(Reporter)

Comment 107

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1295312844.1295315704.1364.gz
Rev3 Fedora 12 mozilla-central debug test mochitest-other on 2011/01/17 17:07:24
s: talos-r3-fed-012
(Reporter)

Comment 108

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1295315622.1295318674.15390.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2011/01/17 17:53:42
s: talos-r3-leopard-020
(Reporter)

Comment 109

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1295340901.1295343968.32719.gz
Rev3 Fedora 12 mozilla-central debug test mochitest-other on 2011/01/18 00:55:01
s: talos-r3-fed-009
(Reporter)

Comment 110

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1295409896.1295412800.13501.gz
Rev3 MacOSX Leopard 10.5.8 tracemonkey debug test mochitest-other on 2011/01/18 20:04:56
s: talos-r3-leopard-017
(Reporter)

Comment 111

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1295484357.1295487289.14874.gz
Rev3 MacOSX Leopard 10.5.8 tracemonkey debug test mochitest-other on 2011/01/19 16:45:57
s: talos-r3-leopard-005
(Reporter)

Comment 112

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1295894441.1295897397.9176.gz
Rev3 Fedora 12 tracemonkey debug test mochitest-other on 2011/01/24 10:40:41
s: talos-r3-fed-041
Comment on attachment 503089 [details] [diff] [review]
Possible fix

See comment 88
Attachment #503089 - Flags: review?(sdwilsh)
So if comment 87 is correct, this is mostly the same as bug 631447, we should patch BrowserShutdown rather than each test, there are a couple possible patches attached to that bug.
bug 631447 landed around 27 Apr, and failures here stopped around the same date, so I'll consider this fixed by bug 631447.
Status: NEW → RESOLVED
Last Resolved: 7 years ago
Depends on: 631447
Resolution: --- → FIXED
(Assignee)

Updated

6 years ago
Keywords: intermittent-failure
(Assignee)

Updated

6 years ago
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.